Subject: Keyboard for HTC-Dream

From: [email-masked] (Gregory Bean)
Date: Fri, 03 Sep 2010 08:44:26 -0700

> [   24.870000] setting trigger mode 3 for irq 84 failed (msm_gpio_irq_set_type+0x0/0x118)

You're using an older submission of gpiolib which doesn't support 
dual-edge IRQs.  That one has been scrapped in favor of the one from 
android's 2.6.35-wip branch. It hasn't been accepted yet, and is 
currently being discussed on the mailing lists.  If you search the 
mailing list archives from the past two weeks you'll find the patches.

-- 
Employee of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.